javax.jdo.metadata

## Interface SequenceMetadata

- All Superinterfaces:
    Metadata

      public interface SequenceMetadata
      extends Metadata

  Represents a sequence.
  Since:
    3.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Integer` | `getAllocationSize()` Accessor for the allocation size of the sequence (if any).
    `String` | `getDatastoreSequence()` Accessor for the name of the datastore sequence that this maps to
    `String` | `getFactoryClass()` Accessor for the factory class for this sequence.
    `Integer` | `getInitialValue()` Accessor for the initial value of the sequence (if any).
    `String` | `getName()` Accessor for the name of the sequence (set on construction).
    `SequenceStrategy` | `getSequenceStrategy()` Accessor for the sequence strategy (set on construction).
    `SequenceMetadata` | `setAllocationSize(int size)` Method to set the allocation size for the sequence.
    `SequenceMetadata` | `setDatastoreSequence(String seq)` Method to set the name of the datastore sequence that this maps to.
    `SequenceMetadata` | `setFactoryClass(String clsName)` Method to set the result class name for the query.
    `SequenceMetadata` | `setInitialValue(int val)` Method to set the initial value for the sequence.

    - ### Methods inherited from interface javax.jdo.metadata.Metadata

      `getExtensions, getNumberOfExtensions, getParent, newExtensionMetadata`

- - ### Method Detail

    - #### getName

          String getName()

      Accessor for the name of the sequence (set on construction).
      Returns:
        The name

    - #### getSequenceStrategy

          SequenceStrategy getSequenceStrategy()

      Accessor for the sequence strategy (set on construction).
      Returns:
        Sequence strategy

    - #### setDatastoreSequence

          SequenceMetadata setDatastoreSequence(String seq)

      Method to set the name of the datastore sequence that this maps to.
      Parameters:
        `seq` - Datastore sequence name
      Returns:
        This metadata object

    - #### getDatastoreSequence

          String getDatastoreSequence()

      Accessor for the name of the datastore sequence that this maps to
      Returns:
        The datastore sequence name

    - #### setFactoryClass

          SequenceMetadata setFactoryClass(String clsName)

      Method to set the result class name for the query.
      Parameters:
        `clsName` - Result class name
      Returns:
        This metadata object

    - #### getFactoryClass

          String getFactoryClass()

      Accessor for the factory class for this sequence.
      Returns:
        The factory class

    - #### setInitialValue

          SequenceMetadata setInitialValue(int val)

      Method to set the initial value for the sequence.
      Parameters:
        `val` - Initial value to use
      Returns:
        This metadata object
      Since:
        3.1

    - #### getInitialValue

          Integer getInitialValue()

      Accessor for the initial value of the sequence (if any).
      Returns:
        initial value
      Since:
        3.1

    - #### setAllocationSize

          SequenceMetadata setAllocationSize(int size)

      Method to set the allocation size for the sequence.
      Parameters:
        `size` - Allocation size to use
      Returns:
        This metadata object
      Since:
        3.1

    - #### getAllocationSize

          Integer getAllocationSize()

      Accessor for the allocation size of the sequence (if any).
      Returns:
        allocation size
      Since:
        3.1

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.